caption: Set power peak shift day config
desc: |-
  If <ph name="DEVICE_POWER_PEAK_SHIFT_ENABLED_POLICY_NAME">DevicePowerPeakShiftEnabled</ph> is Enabled, setting <ph name="DEVICE_POWER_PEAK_SHIFT_DAY_CONFIG_POLICY_NAME">DevicePowerPeakShiftDayConfig</ph> sets power peak shift day configuration.

        Leaving the policy unset keeps power peak shift off.

        Valid values for the <ph name="MINUTE_FIELD_NAME">minute</ph> field in <ph name="START_TIME_FIELD_NAME">start_time</ph>, <ph name="END_TIME_FIELD_NAME">end_time</ph> and <ph name="CHARGE_START_TIME_FIELD_NAME">charge_start_time</ph> are 0, 15, 30, 45.
device_only: true
example_value:
  entries:
  - charge_start_time:
      hour: 20
      minute: 45
    day: MONDAY
    end_time:
      hour: 15
      minute: 15
    start_time:
      hour: 9
      minute: 0
  - charge_start_time:
      hour: 23
      minute: 45
    day: FRIDAY
    end_time:
      hour: 21
      minute: 0
    start_time:
      hour: 2
      minute: 30
features:
  dynamic_refresh: true
  per_profile: false
owners:
- lamzin@google.com
- bkersting@google.com
- kerker@chromium.org
- chungsheng@google.com
- byronlee@chromium.org
- chromeos-oem-services@google.com
schema:
  properties:
    entries:
      items:
        properties:
          charge_start_time:
            $ref: Time
            description: Time when the device will use alternating current to charge
              battery, interpreted in the device's local time zone.
          day:
            $ref: WeekDay
          end_time:
            $ref: Time
            description: Time when the device will run from alternating current, interpreted
              in the device's local time zone.
          start_time:
            $ref: Time
            description: Time when the device will start running from the battery,
              interpreted in the device's local time zone.
        type: object
      type: array
  type: object
supported_on:
- chrome_os:75-
tags: []
type: dict
